Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159045 - CVE-2005-1767 x86_64 crashes from context switches on stk-seg-fault stack
Summary: CVE-2005-1767 x86_64 crashes from context switches on stk-seg-fault stack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Anderson
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,reported=20050527
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-05-28 00:47 UTC by Ernie Petrides
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:14:14 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2005-06-09 08:37 UTC, Mark J. Cox
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Comment 5 Ernie Petrides 2005-06-09 03:24:09 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.7.EL).


Comment 6 Mark J. Cox 2005-06-09 08:27:57 UTC
Ernie has requested that this be made public and not have an embargo; therefore
I'm contacting vendor-sec and kernel@security.org to let them know about the
issue  as SUSE and others are about to do x86_64 updates for a number of other
flaws.

Comment 7 Mark J. Cox 2005-06-09 08:37:49 UTC
Created attachment 115253 [details]
Proposed patch

Comment 14 Red Hat Bugzilla 2005-09-28 15:14:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.